Skip to content
Find file
Fetching contributors…
Cannot retrieve contributors at this time
53 lines (46 sloc) 1.5 KB
<?xml version="1.0" encoding="utf-8"?>
<!-- $Revision$ -->
<section xml:id="amqp.installation" xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink">
&reftitle.install;
<para>
To install the AMQP PHP extension, you must first install the <link xlink:href="&url.amqp.librabbitmq;">librabbitmq</link>
library. You will need the 0-9-1 version of the rabbitmq-c client library, linked to the rabbitmq-codegen version that corresponds
to the version of the broker you are using. Use the following steps to download and install the library:
</para>
<programlisting role="shell">
<![CDATA[
# Download the rabbitmq-c library @ version 0-9-1
git clone git://github.com/alanxz/rabbitmq-c.git
cd rabbitmq-c
# Enable and update the codegen git submodule
git submodule init
git submodule update
# Configure, compile and install
autoreconf -i && ./configure && make && sudo make install
]]>
</programlisting>
<para>
&pecl.info;
<link xlink:href="&url.pecl.package;amqp">&url.pecl.package;amqp</link>.
</para>
</section>
<!-- Keep this comment at the end of the file
Local variables:
mode: sgml
sgml-omittag:t
sgml-shorttag:t
sgml-minimize-attributes:nil
sgml-always-quote-attributes:t
sgml-indent-step:1
sgml-indent-data:t
indent-tabs-mode:nil
sgml-parent-document:nil
sgml-default-dtd-file:"~/.phpdoc/manual.ced"
sgml-exposed-tags:nil
sgml-local-catalogs:nil
sgml-local-ecat-files:nil
End:
vim600: syn=xml fen fdm=syntax fdl=2 si
vim: et tw=78 syn=sgml
vi: ts=1 sw=1
-->
Something went wrong with that request. Please try again.